package com.goafanti.order.bo.outStatistics;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutOrderNewSignBo {
    @Excel(name = "签单人")
    private String name;
    @Excel(name = "部门")
    private String depName;
    @Excel(name = "总签单数",isStatistics = true)
    private String allCounts;
    @Excel(name = "总签单金额",isStatistics = true)
    private BigDecimal allAmount;
    @Excel(name = "新客户签单数",isStatistics = true)
    private String newCounts;
    @Excel(name = "新客户签单金额",isStatistics = true)
    private BigDecimal newAmount;
    @Excel(name = "新客户签单数占比", percentage = 1,scale = 2)
    private String newCountProportion;
    @Excel(name = "新客户签单金额占比", percentage = 1,scale = 2)
    private String newAmountProportion;
    @Excel(name = "旧客户签单数",isStatistics = true)
    private String counts;
    @Excel(name = "旧客户签单金额",isStatistics = true)
    private BigDecimal amount;
    @Excel(name = "旧客户签单数占比",percentage = 1,scale = 2)
    private String countProportion;
    @Excel(name = "旧客户签单金额占比", percentage = 1,scale = 2)
    private String amountProportion;

    public String getAllCounts() {
        return allCounts;
    }

    public void setAllCounts(String allCounts) {
        this.allCounts = allCounts;
    }

    public BigDecimal getAllAmount() {
        return allAmount;
    }

    public void setAllAmount(BigDecimal allAmount) {
        this.allAmount = allAmount;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNewCounts() {
        return newCounts;
    }

    public void setNewCounts(String newCounts) {
        this.newCounts = newCounts;
    }

    public BigDecimal getNewAmount() {
        return newAmount;
    }

    public void setNewAmount(BigDecimal newAmount) {
        this.newAmount = newAmount;
    }

    public String getNewCountProportion() {
        return newCountProportion;
    }

    public void setNewCountProportion(String newCountProportion) {
        this.newCountProportion = newCountProportion;
    }

    public String getNewAmountProportion() {
        return newAmountProportion;
    }

    public void setNewAmountProportion(String newAmountProportion) {
        this.newAmountProportion = newAmountProportion;
    }

    public String getCounts() {
        return counts;
    }

    public void setCounts(String counts) {
        this.counts = counts;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getCountProportion() {
        return countProportion;
    }

    public void setCountProportion(String countProportion) {
        this.countProportion = countProportion;
    }

    public String getAmountProportion() {
        return amountProportion;
    }

    public void setAmountProportion(String amountProportion) {
        this.amountProportion = amountProportion;
    }
}
